Name:      	g810-led
Summary:   	Linux led controller for Logitech Keyboards
Version:   	0.4.2
Release:   	%mkrel 1rx3
Distribution:	Rx3 Free Software
Vendor:		Rx3
Packager:	Arnaud G. GIBERT <arnaud@rx3.net>
License:   	GPLv3
URL:       	https://github.com/MatMoul/g810-led
Source0:   	https://github.com/MatMoul/%{name}/archive/v%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root


%{?systemd_requires}
BuildRequires: systemd
BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: hidapi-devel


%description
Linux led controller for Logitech G213, G410, G413, G512, G513, G610, G810, G910
and GPRO Keyboards.


%prep
%setup -q


%build
make debug


%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d \
  %{buildroot}%{_bindir} \
  %{buildroot}%{_sysconfdir}/%{name}/samples \
  %{buildroot}%{_udevrulesdir} \
  %{buildroot}%{_unitdir}
install -p -m 755 bin/%{name} %{buildroot}%{_bindir}
for alias in 213 410 413 512 513 610 910 pro; do
  ln -s %{name} "%{buildroot}%{_bindir}/g${alias}-led"
done
install -p    -m 644  sample_profiles/*			%{buildroot}%{_sysconfdir}/%{name}/samples
install -p    -m 644  sample_profiles/group_keys	%{buildroot}%{_sysconfdir}/%{name}/profile
install -p    -m 644  sample_profiles/all_off		%{buildroot}%{_sysconfdir}/%{name}/reboot
install -p    -m 644  udev/%{name}.rules 		%{buildroot}%{_udevrulesdir}
install -p -D -m 0644 systemd/%{name}-reboot.service 	%{buildroot}%{_unitdir}
install -p -D -m 0644 systemd/%{name}.service 		%{buildroot}%{_unitdir}


%post
%systemd_post %{name}-reboot.service

%preun
%systemd_preun %{name}-reboot.service

%postun
%systemd_postun %{name}-reboot.service


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md LICENSE INSTALL.md sample_effects
%{_bindir}/g???-led
%{_udevrulesdir}/%{name}.rules
%{_unitdir}/%{name}-reboot.service
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}

%changelog
* Fri Jun 17 2022 Arnaud G. GIBERT <arnaud@rx3.net> 0.4.2-1rx3.mga8
- Update to 0.4.2
- First Mageia 8 build

* Mon Feb 11 2019 Arnaud G. Gibert <arnaud@rx3.net> 0.3.3-1rx3.mga6
- Import from Copr repo to Mageia 6
- Add g810-led.service
- Add default profile and reboot

* Wed Oct 31 2018 Lars Kiesow <lkiesow@uos.de> - 0.2.8-1
- Initial packaging
